from distutils.core import setup
from distutils.sysconfig import get_python_lib
import os.path

dfile_dir = os.path.join(get_python_lib(prefix=''), 'Pyrex/Compiler')

setup(
  name='PyrexWithDistutilsSupport', 
  scripts=['pyrexc'],
  packages=[
    'Pyrex',
    'Pyrex.Compiler',
    'Pyrex.Distutils',
    'Pyrex.Mac',
    'Plex'
    ],
  data_files=[
    (dfile_dir, ['Pyrex/Compiler/Lexicon.pickle'])
    ]
  )

